Bug 1305853 - systemd-modules exited failure load kernel modules
systemd-modules exited failure load kernel modules
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-09 07:00 EST by Brent R Brian
Modified: 2016-10-17 10:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-17 10:44:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output after boot (68.03 KB, text/plain)
2016-02-09 07:00 EST, Brent R Brian
no flags Details

  None (edit)
Description Brent R Brian 2016-02-09 07:00:33 EST
Created attachment 1122397 [details]
dmesg output after boot

In dmesg after every boot 

[    3.503254] systemd[1]: Starting Load Kernel Modules...
[    3.505917] systemd[1]: Starting Journal Service...
[    3.506640] systemd[1]: Started Create list of required static device nodes for the current kernel.
[    3.529275] systemd[1]: systemd-modules-load.service: Main process exited, code=exited, status=1/FAILURE
[    3.529956] systemd[1]: Failed to start Load Kernel Modules.
Comment 1 Josh Boyer 2016-02-09 08:50:41 EST
I'm going to guess you have virtualbox or nvidia drivers installed on your machine.  Those are the only things I'm aware of that use the systemd-modules-load service.  Try removing or disabling those first.

If I guessed incorrectly, look in /usr/lib/modules-load.d/ and /etc/modules-load.d/ for any .conf files.  Attach those and the output of journalctl -u systemd-load-modules.
Comment 2 Brent R Brian 2016-02-09 15:02:47 EST
You are correct, virtualbox, so long as it is not bothering anything else (and I can't tell that it is) ... I'll leave it, unless there is a cheap hack to make it correct ...
Comment 3 Laura Abbott 2016-09-23 15:56:59 EDT
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
If you experience different issues, please open a new bug report for those.
Comment 4 Brent R Brian 2016-10-17 10:44:51 EDT
I have not noticed this issue recently.

Note You need to log in before you can comment on or make changes to this bug.